package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            main mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

private static BA killProgramHelper(BA ba) {
    if (ba == null)
        return null;
    anywheresoftware.b4a.BA.SharedProcessBA sharedProcessBA = ba.sharedProcessBA;
    if (sharedProcessBA == null || sharedProcessBA.activityBA == null)
        return null;
    return sharedProcessBA.activityBA.get();
}
public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = killProgramHelper(main.mostCurrent == null ? null : main.mostCurrent.processBA);
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public anywheresoftware.b4a.keywords.Common __c = null;
public static boolean _restart = false;
public anywheresoftware.b4a.objects.PanelWrapper _pmain = null;
public anywheresoftware.b4a.objects.PanelWrapper _pleft = null;
public anywheresoftware.b4a.objects.PanelWrapper _pright = null;
public anywheresoftware.b4a.objects.PanelWrapper _prighteye = null;
public anywheresoftware.b4a.objects.PanelWrapper _plefteye = null;
public b4a.example.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}));}
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131073;
 //BA.debugLineNum = 131073;BA.debugLine="Activity.LoadLayout(\"1\")";
mostCurrent._activity.LoadLayout("1",mostCurrent.activityBA);
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null));}
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return "";
}
public static void  _moveback(anywheresoftware.b4a.objects.PanelWrapper _p1,anywheresoftware.b4a.objects.PanelWrapper _p2,int _x,int _y) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "moveback", false))
	 {Debug.delegate(mostCurrent.activityBA, "moveback", new Object[] {_p1,_p2,_x,_y}); return;}
ResumableSub_moveBack rsub = new ResumableSub_moveBack(null,_p1,_p2,_x,_y);
rsub.resume(processBA, null);
}
public static class ResumableSub_moveBack extends BA.ResumableSub {
public ResumableSub_moveBack(b4a.example.main parent,anywheresoftware.b4a.objects.PanelWrapper _p1,anywheresoftware.b4a.objects.PanelWrapper _p2,int _x,int _y) {
this.parent = parent;
this._p1 = _p1;
this._p2 = _p2;
this._x = _x;
this._y = _y;
}
b4a.example.main parent;
anywheresoftware.b4a.objects.PanelWrapper _p1;
anywheresoftware.b4a.objects.PanelWrapper _p2;
int _x;
int _y;
int _positionx1 = 0;
int _positionx2 = 0;
int _positiony1 = 0;
int _positiony2 = 0;

@Override
public void resume(BA ba, Object[] result) throws Exception{
RDebugUtils.currentModule="main";

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = -1;
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="restart = True";
parent._restart = anywheresoftware.b4a.keywords.Common.True;
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="Private positionx1 As Int = x * p1.Width / 100 'C";
_positionx1 = (int) (_x*_p1.getWidth()/(double)100);
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="Private positionx2 As Int = x * p2.Width / 100 'C";
_positionx2 = (int) (_x*_p2.getWidth()/(double)100);
RDebugUtils.currentLine=524292;
 //BA.debugLineNum = 524292;BA.debugLine="Private positionY1 As Int = Y * p1.Height / 100 '";
_positiony1 = (int) (_y*_p1.getHeight()/(double)100);
RDebugUtils.currentLine=524293;
 //BA.debugLineNum = 524293;BA.debugLine="Private positionY2 As Int = Y * p2.Height / 100 '";
_positiony2 = (int) (_y*_p2.getHeight()/(double)100);
RDebugUtils.currentLine=524294;
 //BA.debugLineNum = 524294;BA.debugLine="pLeftEye.SetLayoutAnimated(500,positionx1 - (pLef";
parent.mostCurrent._plefteye.SetLayoutAnimated((int) (500),(int) (_positionx1-(parent.mostCurrent._plefteye.getWidth()/(double)2)),(int) (_positiony1-(parent.mostCurrent._plefteye.getHeight()/(double)2)),parent.mostCurrent._plefteye.getWidth(),parent.mostCurrent._plefteye.getHeight());
RDebugUtils.currentLine=524295;
 //BA.debugLineNum = 524295;BA.debugLine="pRightEye.SetLayoutAnimated(500,positionx2 - (pRi";
parent.mostCurrent._prighteye.SetLayoutAnimated((int) (500),(int) (_positionx2-(parent.mostCurrent._prighteye.getWidth()/(double)2)),(int) (_positiony2-(parent.mostCurrent._prighteye.getHeight()/(double)2)),parent.mostCurrent._prighteye.getWidth(),parent.mostCurrent._prighteye.getHeight());
RDebugUtils.currentLine=524296;
 //BA.debugLineNum = 524296;BA.debugLine="Sleep(500)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,new anywheresoftware.b4a.shell.DebugResumableSub.DelegatableResumableSub(this, "main", "moveback"),(int) (500));
this.state = 1;
return;
case 1:
//C
this.state = -1;
;
RDebugUtils.currentLine=524297;
 //BA.debugLineNum = 524297;BA.debugLine="restart = False";
parent._restart = anywheresoftware.b4a.keywords.Common.False;
RDebugUtils.currentLine=524298;
 //BA.debugLineNum = 524298;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _movehorizontal(anywheresoftware.b4a.objects.PanelWrapper _pl,anywheresoftware.b4a.objects.PanelWrapper _pr,int _x) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "movehorizontal", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "movehorizontal", new Object[] {_pl,_pr,_x}));}
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub MoveHorizontal(pL As Panel, pR As Panel,x As I";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="pLeftEye.left = ((pL.Width - pLeftEye.Width) * x";
mostCurrent._plefteye.setLeft((int) (((_pl.getWidth()-mostCurrent._plefteye.getWidth())*_x/(double)100)));
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="pRightEye.left = ((pR.Width - pRightEye.Width) *";
mostCurrent._prighteye.setLeft((int) (((_pr.getWidth()-mostCurrent._prighteye.getWidth())*_x/(double)100)));
RDebugUtils.currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="End Sub";
return "";
}
public static String  _movevertical(anywheresoftware.b4a.objects.PanelWrapper _pl,anywheresoftware.b4a.objects.PanelWrapper _pr,int _y) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "movevertical", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "movevertical", new Object[] {_pl,_pr,_y}));}
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub MoveVertical(pL As Panel, pR As Panel ,y As In";
RDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="pLeftEye.Top = ((pL.Height - pLeftEye.Height) * Y";
mostCurrent._plefteye.setTop((int) (((_pl.getHeight()-mostCurrent._plefteye.getHeight())*_y/(double)100)));
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="pRightEye.Top = ((pR.Height - pRightEye.Height) *";
mostCurrent._prighteye.setTop((int) (((_pr.getHeight()-mostCurrent._prighteye.getHeight())*_y/(double)100)));
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="End Sub";
return "";
}
public static String  _pmain_touch(int _action,float _x,float _y) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "pmain_touch", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "pmain_touch", new Object[] {_action,_x,_y}));}
int _positionxpercentage = 0;
int _positionypercentage = 0;
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub pMain_Touch (Action As Int, X As Float, Y As F";
RDebugUtils.currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="Select Action";
switch (BA.switchObjectToInt(_action,mostCurrent._activity.ACTION_DOWN,mostCurrent._activity.ACTION_MOVE,mostCurrent._activity.ACTION_UP)) {
case 0: {
 break; }
case 1: {
RDebugUtils.currentLine=327685;
 //BA.debugLineNum = 327685;BA.debugLine="If restart Then Return 'IF IS RESTARTING TO CEN";
if (_restart) { 
if (true) return "";};
RDebugUtils.currentLine=327687;
 //BA.debugLineNum = 327687;BA.debugLine="Private positionXPercentage As Int = x / pMain.";
_positionxpercentage = (int) (_x/(double)mostCurrent._pmain.getWidth()*100);
RDebugUtils.currentLine=327688;
 //BA.debugLineNum = 327688;BA.debugLine="Private positionYPercentage As Int = y / pMain.";
_positionypercentage = (int) (_y/(double)mostCurrent._pmain.getHeight()*100);
RDebugUtils.currentLine=327691;
 //BA.debugLineNum = 327691;BA.debugLine="If positionXPercentage >= 0 And positionXPercen";
if (_positionxpercentage>=0 && _positionxpercentage<=100) { 
RDebugUtils.currentLine=327692;
 //BA.debugLineNum = 327692;BA.debugLine="MoveHorizontal( pLeft, pRight, positionXPercen";
_movehorizontal(mostCurrent._pleft,mostCurrent._pright,_positionxpercentage);
 };
RDebugUtils.currentLine=327695;
 //BA.debugLineNum = 327695;BA.debugLine="If positionYPercentage >= 0 And positionYPercen";
if (_positionypercentage>=0 && _positionypercentage<=100) { 
RDebugUtils.currentLine=327696;
 //BA.debugLineNum = 327696;BA.debugLine="MoveVertical( pLeft, pRight, positionYPercenta";
_movevertical(mostCurrent._pleft,mostCurrent._pright,_positionypercentage);
 };
 break; }
case 2: {
RDebugUtils.currentLine=327701;
 //BA.debugLineNum = 327701;BA.debugLine="moveBack(pLeft,pRight,50,50)";
_moveback(mostCurrent._pleft,mostCurrent._pright,(int) (50),(int) (50));
 break; }
}
;
RDebugUtils.currentLine=327705;
 //BA.debugLineNum = 327705;BA.debugLine="End Sub";
return "";
}
}